diff --git a/src/backend/optimizer/util/pathnode.c b/src/backend/optimizer/util/pathnode.c
index 02daaf3..91744f9 100644
--- a/src/backend/optimizer/util/pathnode.c
+++ b/src/backend/optimizer/util/pathnode.c
@@ -2536,6 +2536,23 @@ create_parallelagg_path(PlannerInfo *root,
 		currentpath = &sortpath->path;
 	}
 
+	/*
+	 * Create an extra combine node which does not finalize...
+	 * for testing only, of course...
+	 */
+	pathnode = create_agg_path(root,
+							   rel,
+							   currentpath,
+							   partialtarget,
+							   finalstrategy,
+							   groupClause,
+							   qual,
+							   aggcosts,
+							   numGroups,
+							   true,
+							   false);
+	currentpath = &pathnode->path;
+
 	/* create the finalize aggregate node */
 	pathnode = create_agg_path(root,
 							   rel,
